org.modeshape.jcr.query.xpath

## Enum XPath.NodeComparisonOperator

- java.lang.Object
- - java.lang.Enum<XPath.NodeComparisonOperator>
  - - org.modeshape.jcr.query.xpath.XPath.NodeComparisonOperator

- All Implemented Interfaces:
    Serializable, Comparable<XPath.NodeComparisonOperator>
  Enclosing class:
    XPath

      public static enum XPath.NodeComparisonOperator
      extends Enum<XPath.NodeComparisonOperator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOLLOWS`
    `IS`
    `PRECEDES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XPath.NodeComparisonOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XPath.NodeComparisonOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS

          public static final XPath.NodeComparisonOperator IS

    - #### PRECEDES

          public static final XPath.NodeComparisonOperator PRECEDES

    - #### FOLLOWS

          public static final XPath.NodeComparisonOperator FOLLOWS

  - ### Method Detail

    - #### values

          public static XPath.NodeComparisonOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XPath.NodeComparisonOperator c : XPath.NodeComparisonOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XPath.NodeComparisonOperator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.